Data Fields

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - o -

- obj : _Edje_Item_Cell , _Evas_Object_Box_Option
- object : _Edje_Item , edje::object , evas::object
- object_bottom_get() : evas::canvas
- object_name_find() : evas::canvas
- object_smart() : evas::object_smart
- object_top_at_xy_get() : evas::canvas
- object_top_get() : evas::canvas
- object_top_in_rectangle_get() : evas::canvas
- objects_at_xy_get() : evas::canvas
- objects_in_rectangle_get() : evas::canvas
- obscured_clear() : evas::canvas
- obscured_rectangle_add() : evas::canvas
- offset : _Eet_Entry , _Efl_Gfx_Gradient_Stop , _Eina_File_Map , _Eina_Value_Struct_Member
- only_show_in : _Efreet_Desktop
- op : _Eio_Progress
- opengl : _Evas_Native_Surface
- operator bool() : efl::eina::accessor< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_common_base< T > , efl::eina::optional< T >
- operator!() : efl::eina::optional< T >
- operator!= : efl::eina::_common_iterator_base< T > , efl::eina::thread_id
- operator*() : efl::eina::_inlist_iterator< T > , efl::eina::accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::iterator< T > , efl::eina::optional< T >
- operator++() : efl::eina::_inlist_iterator< T > , efl::eina::accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::iterator< T >
- operator+=() : efl::eina::accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type >
- operator--() : efl::eina::_inlist_iterator< T > , efl::eina::accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type >
- operator-=() : efl::eina::accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type >
- operator->() : efl::eina::_inlist_iterator< T > , efl::eina::accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::iterator< T > , efl::eina::optional< T >
- operator< : efl::eina::thread_id
- operator<< : efl::eina::thread_id
- operator=() : efl::eina::_common_iterator_base< T > , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::accessor< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_common_base< T > , efl::eina::inlist< T, Allocator > , efl::eina::optional< T > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , efl::eina::stringshare , efl::eina::thread , efl::eina::value , efl::eo::concrete , efl::eo::inherit< D, E > , efl::eo::wref< T >
- operator== : efl::eina::_common_iterator_base< T > , efl::eina::thread_id
- operator[]() : efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::accessor< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::range_inarray< T > , efl::eina::range_ptr_array< T > , efl::eina::stringshare
- ops : _Eina_Value_Blob , _Eina_Value_Struct_Desc
- option_free : _Evas_Object_Box_Api
- option_new : _Evas_Object_Box_Api
- option_property_id_get() : evas::box
- option_property_name_get() : evas::box
- option_property_vget() : evas::box
- option_property_vset() : evas::box
- optional() : efl::eina::optional< T >
- options_bits : _Evas_GL_Config
- orient_get() : evas::image
- orient_set() : evas::image
- orig_path : _Efreet_Desktop
- origin_get() : efl::vg::base
- origin_set() : efl::vg::base
- other_desc : _Old_Edje_Part
- out() : evas::out
- outline_color_get() : evas::text
- outline_color_set() : evas::text
- output : _Evas_Event_Mouse_Down , _Evas_Event_Mouse_In , _Evas_Event_Mouse_Out , _Evas_Event_Mouse_Up , _Evas_Event_Mouse_Wheel , _Evas_Position , _Evas_Precision_Position
- output_framespace_get() : evas::canvas
- output_framespace_set() : evas::canvas
- output_method_get() : evas::canvas
- output_method_set() : evas::canvas
- output_size_get() : evas::canvas
- output_size_set() : evas::canvas
- output_viewport_get() : evas::canvas
- output_viewport_set() : evas::canvas
- overlay_object : _Edje_Item